function y = evaluateFIS(fis,x)

% Source: lokal functions
% https://de.mathworks.com/help/fuzzy/tune-fis-tree-for-gas-mileage-prediction.html

% Specify options for FIS evaluation
persistent evalOptions
if isempty(evalOptions)
    evalOptions = evalfisOptions("EmptyOutputFuzzySetMessage","none", ...
        "NoRuleFiredMessage","none","OutOfRangeInputValueMessage","none");
end

% Evaluate FIS
y = evalfis(fis,x,evalOptions);

end